summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/xautomation/README6
-rw-r--r--system/xautomation/slack-desc19
-rw-r--r--system/xautomation/xautomation.SlackBuild72
-rw-r--r--system/xautomation/xautomation.info10
4 files changed, 107 insertions, 0 deletions
diff --git a/system/xautomation/README b/system/xautomation/README
new file mode 100644
index 0000000000..dd2e6f9417
--- /dev/null
+++ b/system/xautomation/README
@@ -0,0 +1,6 @@
+xautomation contains tools to control the X server from the command line.
+
+The tools will be useful for scripting, and for doing "visual scraping"
+to find things on the screen. These programs allow scripted mouse movement,
+clicking, button up/down, key up/down, etc., and use the XTest extension.
+The visgrep program finds images inside of images and reports their coordinates.
diff --git a/system/xautomation/slack-desc b/system/xautomation/slack-desc
new file mode 100644
index 0000000000..29bf24fb17
--- /dev/null
+++ b/system/xautomation/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xautomation: xautomation (Tools to control the X server from the command line)
+xautomation:
+xautomation: Control X from the command line for scripts, and do
+xautomation: "visual scraping" to find things on the screen. The control
+xautomation: interface allows mouse movement, clicking, button up/down,
+xautomation: key up/down, etc, and uses the XTest extension. The visgrep
+xautomation: program finds images inside of images and reports the coordinates.
+xautomation:
+xautomation: Homepage: http://hoopajoo.net/projects/xautomation.html
+xautomation:
+xautomation:
diff --git a/system/xautomation/xautomation.SlackBuild b/system/xautomation/xautomation.SlackBuild
new file mode 100644
index 0000000000..74e52fbff5
--- /dev/null
+++ b/system/xautomation/xautomation.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for xautomation.
+
+# Written by V'yacheslav Stetskevych
+
+PRGNAM=xautomation
+VERSION=${VERSION:-1.03}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/xautomation/xautomation.info b/system/xautomation/xautomation.info
new file mode 100644
index 0000000000..5bf8a40fd3
--- /dev/null
+++ b/system/xautomation/xautomation.info
@@ -0,0 +1,10 @@
+PRGNAM="xautomation"
+VERSION="1.03"
+HOMEPAGE="http://hoopajoo.net/projects/xautomation.html"
+DOWNLOAD="http://hoopajoo.net/static/projects/xautomation-1.03.tar.gz"
+MD5SUM="91030079b0ecf96195dd21bcec635cb6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="V'yacheslav Stetskevych"
+EMAIL="slava18@gmail.com"
+APPROVED="dsomero"